Index: prototipo/static/js/functions/MultipleSign/MultipleSign.js
===================================================================
--- prototipo/static/js/functions/MultipleSign/MultipleSign.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
+++ prototipo/static/js/functions/MultipleSign/MultipleSign.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
@@ -0,0 +1,270 @@
+
+
+
+function True_FalseMultiples(data){
+
+    if (data == "true" ){
+      return "Verdadero";
+    }
+    if (data ==  "false"){
+      return "Falso";
+    }
+
+}
+
+function SerealizeMyJsonMultiples(data){
+  for (var i = 0; i < data.signatures.length; i++) {
+      data.signatures[i].integrityCheck = True_FalseMultiples(data.signatures[i].integrityCheck);
+      data.signatures[i].signerCertificateStillValid = True_FalseMultiples(data.signatures[i].signerCertificateStillValid);
+      data.signatures[i].signerCertificateValidAtTimeOfSigning = True_FalseMultiples(data.signatures[i].signerCertificateValidAtTimeOfSigning);
+      data.signatures[i].signatureCoversWholeDocument = True_FalseMultiples(data.signatures[i].signatureCoversWholeDocument);
+      data.signatures[i].certificatesVerifiedAgainstTheKeyStore = True_FalseMultiples(data.signatures[i].certificatesVerifiedAgainstTheKeyStore);         
+  }
+  return data;
+}
+
+
+//Obtenemos la  informacion de documento
+function InfoDocumentDataTablePDFMultiples(signedFileId){
+
+    $.ajax({
+        //url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/"+signedFileId,
+        url: "https://192.168.12.154:8443/Murachi/0.1/archivos/"+signedFileId,
+        type: "get",
+        dataType: "json",        
+        headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+        success: function(response) {
+            
+	  		
+	        INFO_DATATABLE_MULTIPLES = SerealizeMyJsonMultiples(response);
+			
+			CONT_MULTIPLES += 1;
+			if (CONT_MULTIPLES == 1){
+				DATATABLE_SIGN_MULTIPLES = DataTablePDFMultiples(response);	
+
+			}
+			if (CONT_MULTIPLES > 1){
+				DATATABLE_SIGN_MULTIPLES.destroy();
+				DATATABLE_SIGN_MULTIPLES = DataTablePDFMultiples(response);	
+			}	
+
+
+			$("#Cuerpo_Sign").hide();
+			$("#Cuerpo_check").hide();
+			$("#well_mensaje").hide();
+			$("#button_SignMultiples").hide();
+			$("#myJsonPDFMultiples_wrapper").show();	
+			ListarDocument()				
+
+
+			
+        },
+        error: function(jqXHR, textStatus, errorThrown){
+          	alert(textStatus+", "+ errorThrown+" el documento PDF para mostrar la info de la sign");     
+        }
+	});
+}
+
+
+// Cuarto paso (Se envia la información del token para terminar la firma)
+function FinalizarFirmaMultiples(signature){
+
+	$.ajax({
+		type: 'POST',
+		contentType: 'application/json',
+		url:"https://192.168.12.154:8443/Murachi/0.1/archivos/pdfs/resenas",
+		//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
+		dataType: 'json',
+		data: JSON.stringify({"signature":signature}),
+		xhrFields: {withCredentials: true},
+		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+		success: function(data, textStatus, jqXHR){
+
+			//var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\"><h4>Descargar archivo firmado</h4></a>";
+			var linkToDownload = "<a href=\"https://192.168.12.154:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\"><h4>Descargar archivo firmado</h4></a>";
+			document.getElementById("log").innerHTML = '';   
+			document.getElementById("respuesta").innerHTML = '<center><h2>Archivo firmado correctamente:</h2> <br>'+linkToDownload+'</center>';  			
+
+			InfoDocumentDataTablePDFMultiples(data['signedFileId']);		
+
+		},
+		error: function(jqXHR, textStatus, errorThrown){
+			alert('error en pdfs/resenas: ' + textStatus);
+			$("#respuesta").html("error en pdfs/resenas: " + textStatus);
+		}
+	});
+
+}
+
+
+//Tercer paso (Obtenemos el hash de pdf enviado por el servidor y luego procesa la información en el token)
+function ObtenerHashPDFServerMultiples(parameters,cert){
+
+	$.ajax({
+		type: 'POST',
+		contentType: 'application/json',				
+		url:"https://192.168.12.154:8443/Murachi/0.1/archivos/pdfs2",
+		//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
+		dataType: "json",
+		data: parameters,		
+		xhrFields: {withCredentials: true},
+		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+		success: function(data, textStatus, jqXHR){
+			var json_x = data;
+			var hash = json_x['hash']; 
+			//alert("hash recibido del servidor "+hash);		
+			var hashtype = "SHA-256";
+			var lang = "eng";
+			
+			//Procesa la información
+			window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(
+				function(signature) {
+					FinalizarFirmaMultiples(signature.hex);
+      			}, 
+      			function(err) {
+	        		log_text("sign() failed: " + err);
+					var error;
+                    log_text("sign() failed: " + err);
+                    if(err == "Error: user_cancel") {
+                        alert("sign() failed: El usuario cancelo la operación");
+                        error = "El usuario cancelo la operación"; 
+                     }      
+                     else if(err == "Error: no_certificates") {
+                         alert("sign() failed: No hay certificado disponible");
+                         error = "No hay certificado disponible";
+                     }
+                     else if(err == "Error: no_implementation") {
+                         alert("sign() failed: No hay soporte para el manejo del certificado");
+                         error = "No hay soporte para el manejo del certificado";
+                     }
+
+	        		//alert("sign() failed: " + err);
+	        		$("#respuesta").html("sign() failed: " + error);
+    	  	});
+			
+		},								
+		error: function(jqXHR, textStatus, errorThrown){
+			//alert('error: ' + textStatus);
+			//var responseText = jQuery.parseJSON(jqXHR.responseText);
+			alert('ajax error function: ' + jqXHR.responseText);
+			$("#respuesta").html("error function: " + jqXHR.responseText);
+		}
+		
+	});
+		
+}
+
+
+//Segundo paso (Seleccionamos el Certificado Firmante)
+function ObtenerCertificadoFirmanteMultiples(fileId){
+
+	// identificador del archivo en el servidor
+	
+
+	window.hwcrypto.getCertificate({lang: "en"}).then(
+		function(response) {
+	  		var cert = response;
+	  		console.log(response);
+	  		console.log("ssss");
+	  		var parameters = "";
+			parameters = JSON.stringify({
+				"fileId":fileId,
+				"certificate":cert.hex,
+				"reason":"Certificado",
+				"location":"CENDITEL",
+				"contact":"582746574336",
+				"signatureVisible":"false",
+				"signaturePage": "",
+				"xPos": "",
+				"yPos": ""
+				});				
+
+			// ahora llamar al ajax de obtener la resena del pdf
+			ObtenerHashPDFServerMultiples(parameters, cert);	
+
+		}, 
+		function(err) {
+  			log_text("getCertificate() failed: " + err);
+            var error;
+            if(err == "Error: user_cancel") {
+                alert("getCertificate() failed: El usuario cancelo la operación"    );
+                error = "El usuario cancelo la operación"; 
+             }      
+             else if(err == "Error: no_certificates") {
+                 alert("getCertificate() failed: No hay certificado disponible")    ;
+                 error = "No hay certificado disponible";
+             }
+             else if(err == "Error: no_implementation") {
+                 alert("getCertificate() failed: No hay soporte para el manejo del certificado");
+                 error = "No hay soporte para el manejo del certificado";
+			}
+  			//alert("getCertificate() failed: " + err);
+  			$("#respuesta").html("getCertificate() failed: " + error);
+		}
+
+	);
+}
+
+
+function ListarDocument(){
+
+
+	$.ajax({
+		type: 'POST',
+		contentType: 'application/json',
+		url:"https://192.168.12.154:8443/Murachi/0.1/archivos/listado",
+		//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
+        type: "get",
+        dataType: "json",        
+        headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+		success: function(response, textStatus, jqXHR){
+
+			
+			var options = "";
+			options += '<option value="-1"> Seleccionar </option>';			
+			for (var i = 0; i < response.murachiWorkingDirectoryContent.length; i++)
+			{ 
+			 options += '<option value="'+response.murachiWorkingDirectoryContent[i]+'" title ="'+response.murachiWorkingDirectoryContent[i]+'">' +response.murachiWorkingDirectoryContent[i] +'</option>';
+			}
+
+			$('#listadoDocument').html(options);
+			$('#listadoDocument option:first').attr('selected', 'selected');
+			$("#SelectArchivos").show();
+
+		},
+		error: function(jqXHR, textStatus, errorThrown){
+			alert('error en pdfs/resenas: ' + textStatus);
+			$("#respuesta").html("error en pdfs/resenas: " + textStatus);
+		}
+	});
+
+
+}
+
+
+$("#button_ListarMultiples").on('click', function() {	
+	ListarDocument();
+});
+
+$("#listadoDocument").on('click', function() {
+	$("#button_SignMultiples").show();
+
+});
+
+
+
+$("#Form_sign_multiples").on('submit', function(event) {
+	event.preventDefault();
+	
+	var fileId = $("#listadoDocument").val();
+
+	if (fileId != -1 ) {
+		ObtenerCertificadoFirmanteMultiples(fileId);
+	}
+	else{
+		alert("Debe selecionar un documeto");
+	}
+
+	
+});
+
Index: prototipo/static/js/functions/MultipleSign/Validaciones.js
===================================================================
--- prototipo/static/js/functions/MultipleSign/Validaciones.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
+++ prototipo/static/js/functions/MultipleSign/Validaciones.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
@@ -0,0 +1,18 @@
+$(document).ready(function (){
+      
+     /* $("#Form_sign_multiples").formValidation({
+        onkeyup: false,
+        rules: {
+            listadoDocument: {
+                required: true
+            },           
+        },
+         messages: {
+            listadoDocument: {
+                required: "Este campo es obligatorio."
+            },
+         },
+         
+    });
+  */
+}); 
Index: prototipo/static/js/functions/MultipleSign/myInfoDataTableCheckPDFMultiples.js
===================================================================
--- prototipo/static/js/functions/MultipleSign/myInfoDataTableCheckPDFMultiples.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
+++ prototipo/static/js/functions/MultipleSign/myInfoDataTableCheckPDFMultiples.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
@@ -0,0 +1,259 @@
+
+function InfoContentMultiples(id){
+  
+  for (var i = 0; i < INFO_DATATABLE_MULTIPLES.signatures.length; i++) {
+    if (parseInt(INFO_DATATABLE_MULTIPLES.signatures[i]['documentRevision']) == parseInt(id)){
+
+            var html1 = "";  
+
+            html1 += '<font style="font-size: 14pt">';
+            html1 += '<table  class="table table-hover" width="100%" id="data" >';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
+            html1 += '<td style="text-align: left" width="500"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['nameOfTheSigner']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha en que se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['signedOn']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Chequea la integridad de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['integrityCheck']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['signerCertificateStillValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['signerCertificateValidFrom']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_DATATABLE_MULTIPLES.signatures[i]['signerCertificateValidTo']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>El certificado es válido en el momento de la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['signerCertificateValidAtTimeOfSigning']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Tipo de firma de archivo PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['signatureType']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Estampilla de tiempo:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['timeStamp']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Razón de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['reason']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Ubicación donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['location']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Nombre alternativo del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['alternativeNameOfTheSigner']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>La firma abarca todo el documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_DATATABLE_MULTIPLES.signatures[i]['signatureCoversWholeDocument']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['filterSubtype']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Sujeto firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_DATATABLE_MULTIPLES.signatures[i]['signerCertificateSubject']+'</font></span></td>';
+            html1 += '</tr>';
+            html1 += '<td style="text-align: left" ><b>Algoritmo de cifrado:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['encryptionAlgorithm']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Servicio de estampillado de tiempo:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['timeStampService']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Algoritmo hash (reseña):</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['digestAlgorithm']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Certificado verificado contra el repositorio de certificados confiables:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['certificatesVerifiedAgainstTheKeyStore']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Número de revisión del documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['documentRevision']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Número total de revisiones del documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['totalDocumentRevisions']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Información de contacto del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_DATATABLE_MULTIPLES.signatures[i]['contactInfo']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Estampilla de tiempo verificada:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_MULTIPLES.signatures[i]['timeStampVerified']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_DATATABLE_MULTIPLES.signatures[i]['signerCertificateIssuer']+'</font></span></td>';
+            html1 += '</tr>';;
+            html1 += '</table>';
+            html1 += '</font>';
+
+            $('div#Dialogo-table-Multiples').append(html1); 
+    }
+  }
+}
+
+function DialogMultiples(id){
+   document.getElementById("Dialogo-Multiples").innerHTML = '\
+    <style>\
+     .modal .modal-dialog { width: 80%; height: 80%, };\
+    </style>\
+       <div id="myModal" class="modal fade" role="dialog">\
+       <div class="modal-dialog">\
+         <div class="modal-content">\
+           <div id = "title" class="modal-header">\
+             <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
+             <h4 class="modal-title text-primary"><center>Información de la Firma('+id+')</center></h4>\
+           </div>\
+           <div id = "body" class="modal-body">\
+             <br>\
+             <div id="Dialogo-table-Multiples"></div>\
+            </div>\
+            <div class="modal-footer">\
+              <button type="button" id="informacion" data-dismiss="modal">Close</button>\
+            </div>\
+          </div>\
+        </div>\
+    </div>';
+
+    InfoContentMultiples(id);
+  
+}
+
+
+function DataTablePDFMultiples(response){
+  
+    //$(document).ready(function () { 
+    	var table = $('#myJsonPDFMultiples').DataTable({
+          //retrieve: true,
+          //paging: false,
+          //searching: false,                            
+           language: {
+              "lengthMenu": "Mostrar _MENU_ registros",
+              "zeroRecords": "No hay resultados - Disculpe",
+              "info": "Mostrando pagina _PAGE_ de _PAGES_",
+              "search": "Buscar:", 
+              "infoEmpty": "No records available",
+              "infoFiltered": "(filtered from _MAX_ total records)"
+           },
+           columnDefs: [
+              {"className": "dt-center", "targets": "_all"}
+           ],                       
+           order: [[ 1, 'desc' ]],       
+           data: response.signatures,
+           columns: [
+              {title: "Nombre del firmante", data: "nameOfTheSigner"  },
+              {title: "Fecha en que se realiza la firma", data: "signedOn"},         
+              {title: "Chequea la integridad de la firma", data: "integrityCheck"},
+              {title: "El certificado todavía está válido", data: "signerCertificateStillValid"},
+              {title: "Fecha de inicio de validez del certificado", data: "signerCertificateValidFrom"},                        
+              {title: "Fecha de fin de validez del certificado", data: "signerCertificateValidTo"},
+              {title: "El certificado es válido en el momento de la firma", data: "signerCertificateValidAtTimeOfSigning"},                
+              {title: "Tipo de firma de archivo PDF", data: "signatureType"},
+              {title: "Estampilla de tiempo", data: "timeStamp"},
+              {title: " Razón de la firma", data: "reason"},
+              {title: "Ubicación donde se realiza la firma", data: "location"},
+              {title: "Nombre alternativo del firmante", data: "alternativeNameOfTheSigner"},
+              {title: "La firma abarca todo el documento PDF", data: "signatureCoversWholeDocument"},
+              {title: "Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached", data: "filterSubtype"},
+              {title: "Sujeto firmante", data: "signerCertificateSubject"},
+              {title: "Algoritmo de cifrado", data: "encryptionAlgorithm"},
+              {title: "Servicio de estampillado de tiempo", data: "timeStampService"},
+              {title: "Algoritmo hash (reseña)", data: "digestAlgorithm"},
+              {title: "Certificado verificado contra el repositorio de certificados confiables", data: "certificatesVerifiedAgainstTheKeyStore"},
+              {title: "Número de revisión del documento PDF", data: "documentRevision"},
+              {title: "Número total de revisiones del documento PDF", data: "totalDocumentRevisions"},
+              {title: "Información de contacto del firmante", data: "contactInfo", style:"width: 2px;"},
+              {title: "Estampilla de tiempo verificada", data: "timeStampVerified"},
+              {title: "Emisor del certificado firmante", data: "signerCertificateIssuer"},
+              {title:"Información", data: function(event){
+                                              return '<button id="informacion" type="input" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModal" onclick="javascript:DialogMultiples('+event.documentRevision+')">Info(<font color="red">'+event.documentRevision+'</font>)</button>';
+                                         } 
+              }
+           ],                           
+          dom: 'Bfrtip',
+          columnDefs: [
+              {
+                  "targets": [ 2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23 ],
+                  "visible": false,
+                  //"searchable": false
+              },
+              
+           ],                           
+           buttons: [
+                {
+                    extend:    'pageLength',
+                    text:      'Mostrar Filas', 
+                    titleAttr: 'Mostrar Filas',
+                },
+                {
+                    extend:    'print',
+                    text:      'Imprimir',
+                    title:     'Contenido de la Firma Multiples',
+                    message:   'Datos de la Firma',
+                    titleAttr: 'Imprimir',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    } 
+                },
+                {
+                    extend:    'excelHtml5',
+                    text:      'XLXS',
+                    title:     'Contenido de la Firma Multiples',
+                    titleAttr: 'Excel',
+                    message: 'Datos de la Firma',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    }
+                },
+                {
+                    extend:    'csvHtml5',
+                    text:      'CSV',
+                    title:     'Contenido de la Firma Multiples ',
+                    titleAttr: 'CSV',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    }
+                },
+                {
+                    extend:    'pdfHtml5',
+                    text:      'PDF',
+                    titleAttr: 'PDF',
+                    title:     'Contenido de la Firma Multiples',                    
+                    download: 'open',
+                    customize: function (doc){
+                       doc.defaultStyle.fontSize = 3;
+                       doc.styles.tableHeader.fontSize = 4;
+                       doc.styles.tableHeader.fillColor = "#0085a1";
+                    },
+                    //orientation: 'landscape',
+                    pageSize: 'A3',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    
+                    }
+                }                
+          ]           
+      });
+    return table;
+	//});  
+
+}
Index: prototipo/static/js/functions/firmarDocumentoBDOC.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 8ba421e5d4d010c2d7b61792b3c89d7b7aba1850)
+++ prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
@@ -55,5 +55,5 @@
 			//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
 			//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\"><h4>Descargar archivo firmado</h4></a>";
 			document.getElementById("log").innerHTML = '';  
 			document.getElementById("respuesta").innerHTML = '<center><h2>Archivo firmado correctamente:</h2> <br>'+linkToDownload+'</center>';  			
Index: prototipo/static/js/functions/firmarDocumentoPdf.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdf.js	(revision cd9dc4648a25223586cb09416c7c0cffd21b13af)
+++ prototipo/static/js/functions/firmarDocumentoPdf.js	(revision c3a6b20f59224c6718602fc0520312c230b7b5fc)
@@ -49,5 +49,4 @@
 
 				CONTAINER = false;
-				$("#firmar-documento").hide();
 				$("#pdf-main-container").hide();
 				$("#myJson_wrapper").show();					
@@ -55,7 +54,5 @@
 			else{
 
-
 		        INFO_DATATABLE_NO_VISIBLE = SerealizeMyJson(response);
-				
 				CONT_NO_VISIBLE += 1;
 				if (CONT_NO_VISIBLE == 1){
@@ -69,5 +66,4 @@
 
 				CONTAINER2 = false;				
-				$("#firmar-doc-noVisible").hide();
 				$("#pdf-main-container2").hide();
 				$("#myJsonPDF_NO_VISIBLE_wrapper").show();
